-- Used on the "Gun script run" MOSRot. It takes care of the altfire.
function Create(self)
	for i = 0, MovableMan:GetMOIDCount(), 1 do
		gun = MovableMan:GetMOFromID(i);
		if gun ~= nil then
			if gun.PresetName == "Grapple Gun" then
				if SceneMan:ShortestDistance(gun.Pos,self.Pos,true).Magnitude < 15 then
					if gun.RootID ~= gun.ID then
						self.Parent = ToActor(MovableMan:GetMOFromID(gun.RootID));
						self.Gun = ToHDFirearm(MovableMan:GetMOFromID(gun.ID));
					else
						self.Gun = ToHDFirearm(MovableMan:GetMOFromID(gun.ID));
					end

					break;
				end
			end
		end
	end

	if self.Parent and self.Parent.Team ~= nil then
		if (ActivityMan:GetActivity():GetControlledActor(self.Parent.Team).RootID == self.Parent.RootID) and UInputMan:KeyHeld(24) then
			if self.Gun then
				local Can = CreateAEmitter("Particle Canister Grapple Gun");
				Can.Pos = self.Pos
				Can.RotAngle = self.Parent:GetAimAngle(true);
				MovableMan:AddParticle(Can);
				self.Gun:GibThis();

				local breaksound = CreateAEmitter("Break Sound Emitter");
				breaksound.Pos = self.Pos;
				MovableMan:AddParticle(breaksound);
			end
		end
	end
	self.Lifetime = 1;
end